Added onos-die command and added some info output to onos-kill command.
Change-Id: I32968907b5f69a334d82048658210e08b109ba23
diff --git a/tools/test/bin/onos-kill b/tools/test/bin/onos-kill
index a6c2333..47e5360 100755
--- a/tools/test/bin/onos-kill
+++ b/tools/test/bin/onos-kill
@@ -6,4 +6,13 @@
[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
. $ONOS_ROOT/tools/build/envDefaults
-ssh $ONOS_USER@${1:-$OCI} "kill -9 \$(ps -ef | grep karaf.jar | grep -v grep | cut -c10-15)"
+ssh $ONOS_USER@${1:-$OCI} "
+ pid=\$(ps -ef | grep karaf.jar | grep -v grep | cut -c10-15 | tr -d ' ')
+ if [ -n \"\$pid\" ]; then
+ echo \"Killing ONOS process \$pid on \$(hostname)...\"
+ kill -9 \$pid
+ else
+ echo \"ONOS process is not running...\"
+ exit 1
+ fi
+"